%define module_version 0.001002
%define module_name MooX-LazyRequire
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Carp.pm) perl(Class/Method/Modifiers.pm) perl(ExtUtils/MakeMaker.pm) perl(Moo.pm) perl(Moo/Role.pm) perl(Sub/Quote.pm) perl(Test/Fatal.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.001002
Release: alt1.1
Summary: Required attributes which fail only when trying to use them
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HA/HAARG/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
MooX::LazyRequire creates attributes that are required, but will fail on use
rather that on object creation.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/M*

%changelog
* Sat Apr 09 2016 Igor Vlasenko <viy@altlinux.ru> 0.001002-alt1.1
- rebuild to restore role requires

* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.001002-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.001001-alt1
- regenerated from template by package builder

* Mon Mar 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.001000-alt1
- initial import by package builder

